                          ~~~~~~~~~~~~~~~
                          | Honeysuckle |
                          ~~~~~~~~~~~~~~~

                           Cilix, Europa

              "How could I have known that murder   
              can sometimes smell like honeysuckle?"

 Set on a beach resort on Jupiter's iciest moon, Honeysuckle tells
 the story of a man brought to his knees by an android named Judy.

           Not-so-loosely inspired by Double Indemnity.
